## yui 2.9.0

=== debian/changelog ===
yui (2.9.0-1) unstable; urgency=low

  * New upstream version.
  * Several of the .swf files are now built from source and the rest have
    been removed from the package.  (Closes: #591199)  
  * Unfortunately the charts module also had to be removed even though there
    is source code because it can only be compiled with Adobe Flash CS3 which
    is non-free.  If anyone can figure out how to compile it with free software
    I'll bring it back.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 29 Jun 2012 15:39:52 -0400

yui (2.8.2r1-1) unstable; urgency=low

  * New upstream version.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 27 Nov 2010 11:39:50 -0500

yui (2.8.2r1~squeeze-1) unstable; urgency=high

  * New upstream version targeted at squeeze.
  * This version updates the flash files included in the package to 
    address the issues in CVE-2010-4207, CVE-2010-4208, and CVE-2010-4209
    (Closes: #603513, #601604)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 09 Dec 2010 06:58:09 -0500

yui (2.8.1-1) unstable; urgency=low

  * New upstream version.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 10 May 2010 07:39:26 -0400

yui (2.8.0r4-1) unstable; urgency=low

  [ Thomas Koch ]
  * New upstream version 2.8.0r4
  * Removed Suggests: php. No reason to favour PHP here.
  * Made dependency of libjs-yui-doc on libjs-yui a recommends.
  * Added a lintian override for "embedded-javascript-library".
  * Added libjs-yui.dirs to make sure /usr/share/javascript exists.

  [ Jaldhar H. Vyas ]
  * SECURITY] yui was mentioned in CVE-2007-2385 however the library
    itself is not responsible for XSS issues.  This is more to do with
    the way applications are coded.  (Closes: #557745)
          
 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 27 Nov 2009 01:19:47 -0500

yui (2.7.0b-1) unstable; urgency=low

  * New upstream version packaged at last. (Closes: #516259)
  * Moved from experimental to unstable.
  * Thanks Thomas Koch. <Thomas@koch.ro> for the following changes:
    + delete *.orig files from upstream source
    + Added release notes dir to debian/libjs-yui.install
    + top-level README doesn't exist anymore.  Removed it.
  * Don't need lintian overrides anymore. 
  * Standards version bumped up to 3.8.1
  * Updated description in debian/control

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 03 May 2009 22:47:20 -0400

yui (2.6.0-2) experimental; urgency=low

  * Split out the documentation and examples into a new package, 
    libjs-yui-doc (Closes: #510168) 
  * Updated README.Debian to rearrange information a bit, remove a mistaken 
    reference to prototype and give notice of the new package.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 29 Jan 2009 14:55:56 -0500

yui (2.6.0-1) experimental; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 2.6.0 (Closes: #500980).
  * Removing useless whitespaces in debian/*.
  * Rather than removing tree.css.orig from upstream sources through diff.gz,
    we're just not removing it from the binary package instead.
  * Upgrading package to debhelper 7.
  * Sorting vcs fields in control.
  * Removing useless ${shlibs:Depends} in control.
  * Removing conflicts/replaces/provides yui, not required anymore.
  * Downgrading depends to javascript-common to recommends as with the other
    pkg-javascript packages.
  * Removing double spaces and properly wrapping package long description in
    control.
  * Removing libjs-yui.dirs, not needed since we have libjs-yui.install already.
  * Prefixing README.Debian with package name.
  * Rewriting copyright file in machine-interpretable format.
  * Using tabs rather than spaces in debhelper install file.
  * Correcting package name in README.Debian.
  * Correcting date string in REAMDE.Debian.
  * Reordering README.Debian content.
  * Rewriting rules file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 Jan 2009 14:26:00 -0500

yui (2.5.2-1) unstable; urgency=low

  * New upstream version.
  * Package name, maintainer address and file locations changed to fit
    proposed javascript policy.  Please read
    /usr/share/doc/libjs-yui/README.Debian

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 23 Jul 2008 11:04:35 -0400

yui (2.5.1-1) unstable; urgency=low

  * New upstream version.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 26 Mar 2008 00:37:33 -0400

yui (2.5.0-1) unstable; urgency=low

  * New upstream version.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 20 Feb 2008 18:12:24 -0500

yui (2.4.1-2) unstable; urgency=low

  * Oops, the symlink in /var/www had been left out.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 29 Dec 2007 12:47:11 -0500

yui (2.4.1-1) unstable; urgency=low

  * New upstream version.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 23 Dec 2007 23:28:07 -0500

yui (2.3.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed up all the url references so they point to the right files.  Thus
    a custom Apache configuration shouldn't be needed.  (Closes: #410468)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 20 Sep 2007 00:35:11 -0400

yui (2.2.2-1) unstable; urgency=low

  * New upstream version.
  * Suggest php5 | php4
  * Update README.Debian to clarify the locations and default URLs of the
    files

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri,  1 Jun 2007 16:58:12 -0400

yui (2.2.0a-1) unstable; urgency=low

  * New upstream version.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri,  6 Apr 2007 14:46:56 -0400

yui (0.12.2-1) unstable; urgency=low

  * New upstream version.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu,  8 Feb 2007 21:24:37 -0500

yui (0.12.1-1) unstable; urgency=low

  * Initial release. (Closes: #401815)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun,  7 Jan 2007 00:20:35 -0500
