=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install

	# Adjusting file locations

	find debian/libjs-yui/usr/share/javascript/yui -name "*.html" | \
	xargs perl -pi -e 's#\Q../../../../assets\E#/javascript/yui/assets#g;'

	find debian/libjs-yui/usr/share/javascript/yui -name "*.html" | \
	xargs perl -pi -e 's#\Q../../build\E#/javascript/yui#g;'

	# creating flash files

	cd src/connection/as && \
	as3compile com/yui/util/connection.as -M connection -R -o connection.swf && \
	mv connection.swf ../../../build/connection

	cd src/uploader/as && \
	as3compile Uploader.as -M Uploader -R -o uploader.swf && \
	cp uploader.swf ../../../examples/uploader/assets && \
	mv uploader.swf ../../../build/uploader/assets
          
	cd src/swfstore/as && \
	as3compile SWFStore.as -M SWFStore -R -o swfstore.swf && \
	cp  swfstore.swf ../../../examples/storage && \
	cp  swfstore.swf ../../../examples/swfstore && \
	mv swfstore.swf ../../../build/swfstore

override_dh_clean:
	-rm -rf as-docs/Charts.html as-docs/com/yahoo/astra/fl/charts \
	    as-docs/com/yahoo/yui/charts build/charts examples/charts examples/swf \
	    examples/treeview/assets/css/default/tree.css.orig \
	    releasenotes/README.charts
	-find build -name "*.swf" | xargs rm
	-find examples -name "*.swf" | xargs rm
	dh_clean

override_dh_compress:
	dh_compress -i -X.js -X-js -X.json -X.php

override_dh_installdocs:
	dh_installdocs
	dh_installexamples

	# Adjusting file locations

	find debian/libjs-yui-doc/usr/share/doc/libjs-yui-doc/examples -name "*.html" | \
	xargs perl -pi -e 's#\Q../../../../assets\E#/javascript/yui/assets#g;'

	find debian/libjs-yui-doc/usr/share/doc/libjs-yui-doc/examples -name "*.html" | \
	xargs perl -pi -e 's#\Q../../assets\E#/javascript/yui/assets#g;'

	find debian/libjs-yui-doc/usr/share/doc/libjs-yui-doc/examples -name "*.html" | \
	xargs perl -pi -e 's#\Q../assets\E#/javascript/yui/assets#g;'

	find debian/libjs-yui-doc/usr/share/doc/libjs-yui-doc/examples -name "*.html" | \
	xargs perl -pi -e 's#\Q../../../2.x/build\E#/javascript/yui#g;'

	find debian/libjs-yui-doc/usr/share/doc/libjs-yui-doc -name "*.html" | \
	xargs perl -pi -e 's#\Q../../build\E#/javascript/yui#g;'

	find debian/libjs-yui-doc/usr/share/doc/libjs-yui-doc/examples -name "*.html" | \
	xargs perl -pi -e 's#\Q../../docs#/doc/libjs-yui-doc\E#g;'

override_dh_installexamples:
	# Examples are built along with the docs so file locations can be adjusted.
