## yui 2.9.0.dfsg.0.1

=== debian/changelog ===
yui (2.9.0.dfsg.0.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable installation of uploader.swf and swfstore.swf as examples
    owing to unfixed security issues (Closes: #692434)
  * Repack orig.tar.gz to remove all SWF files, including those
    without source (Closes: #591199)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 03 Feb 2013 11:54:19 +0000
