=== debian/control ===
Source: yui
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>,
           Marcelo Jorge Vieira (metal) <metal@debian.org>
Build-Depends: debhelper (>= 7.0.50~), swftools
Standards-Version: 3.9.3
Homepage: http://developer.yahoo.com/yui/
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/yui.git
Vcs-Git: git://git.debian.org/git/pkg-javascript/yui.git
DM-Upload-Allowed: yes

Package: libjs-yui
Section: web
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: Yahoo User Interface Library
 A collection of HTML, CSS, and JavaScript components for creating AJAX web
 pages. The library currently includes:
 .
  * utility classes for animation, browser history, AJAX, cookies, 
    drag and drop. safe cross-site data retrieval, dynamic script/css loading,
    image loading, selectors, JSON, resizing elements, DOM and browser events.
  * Autocomplete, button, calendar, carousel, color picker,data table,
    file upload, image crop, menu, paginator, layout manager, rich text editor,
    slider, tabview and treeview controls and a container
    control that can be used for tooltips, panels, dialog boxes etc.
  * A logging framework.
  * A profiler
  * A test framework
  * Cascading stylesheets for browser-independent grids and fonts.

Package: libjs-yui-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-yui2 (= ${binary:Version})
Description: Documentation and examples for the Yahoo User Interface Library
 This package contains documentation and over 200 examples for the Yahoo
 User Interface JavaScript library.
