=== debian/rules ===
--- 
+++ 
@@ -20,24 +20,27 @@
 	as3compile com/yui/util/connection.as -M connection -R -o connection.swf && \
 	mv connection.swf ../../../build/connection
 
-	cd src/uploader/as && \
-	as3compile Uploader.as -M Uploader -R -o uploader.swf && \
-	cp uploader.swf ../../../examples/uploader/assets && \
-	mv uploader.swf ../../../build/uploader/assets
+	# Disable installation of uploader.swf and swfstore.swf due to
+	# known security issues without published source code fixes
+	# (CVE-2012-5882 and CVE-2012-5883 respectively)
+	#cd src/uploader/as && \
+	#as3compile Uploader.as -M Uploader -R -o uploader.swf && \
+	#cp uploader.swf ../../../examples/uploader/assets && \
+	#mv uploader.swf ../../../build/uploader/assets
           
-	cd src/swfstore/as && \
-	as3compile SWFStore.as -M SWFStore -R -o swfstore.swf && \
-	cp  swfstore.swf ../../../examples/storage && \
-	cp  swfstore.swf ../../../examples/swfstore && \
-	mv swfstore.swf ../../../build/swfstore
+	#cd src/swfstore/as && \
+	#as3compile SWFStore.as -M SWFStore -R -o swfstore.swf && \
+	#cp  swfstore.swf ../../../examples/storage && \
+	#cp  swfstore.swf ../../../examples/swfstore && \
+	#mv swfstore.swf ../../../build/swfstore
 
 override_dh_clean:
 	-rm -rf as-docs/Charts.html as-docs/com/yahoo/astra/fl/charts \
 	    as-docs/com/yahoo/yui/charts build/charts examples/charts examples/swf \
 	    examples/treeview/assets/css/default/tree.css.orig \
 	    releasenotes/README.charts
-	-find build -name "*.swf" | xargs rm
-	-find examples -name "*.swf" | xargs rm
+	-find build -name "*.swf" | xargs --no-run-if-empty rm
+	-find examples -name "*.swf" | xargs --no-run-if-empty rm
 	dh_clean
 
 override_dh_compress:
