=== debian/watch ===
version=3
http://yuilibrary.com/download/yui2/ \
        http://yui.zenfs.com/releases/yui2/yui_([\d\.]*).zip
